iOS Simulator - a mystery after upgrading to LC 7.1.1

Getting into LiveCode for iOS? Ask your questions here.

Moderators: Klaus, FourthWorld, heatherlaine, kevinmiller, robinmiller

Post Reply
GoneToSail
Posts: 32
Joined: Sun Jan 24, 2010 10:34 pm

iOS Simulator - a mystery after upgrading to LC 7.1.1

Post by GoneToSail » Wed Feb 17, 2016 6:51 pm

So far I was happy with using LC 7.0.6 to write a small mobile app, and I could:
- use iOS Simulator 8.3 on my MacBook Pro (OSX 10.10.5) with Xcode 6.4
- build a standalone which worked fine on iPhone or iPad.

But I needed to get rid of a LC 7.0.6 bug in connection with mobilePick function (bug #15816) and I decided to switch to the next stable version 7.1.1.
Here is the sequence of my attempts:
1. In LC/Prefs/Mobile Support, I tried to use a more recent version of Xcode, namely 7.2.1 with SDK 9.2, but I had the warning message: "The chosen folder is not a valid iOS SDK. Selected Xcode must have an iOS SDK among 5.1, 6.1, 7.1, 8.2, 8.4, 9.1"
2. I decided to go back to Xcode 6.4, and everything seemed OK with the small green square.
3. I have checked that I could launch the iOS Simulator from Xcode (version 8.4, SimulatorApp-565.9).
4. I loaded my app with LC 7.1.1 and I checked again that nothing had to be changed in the "Standalone Application Settings".
5. I checked that I CAN BUILD A STANDALONE, which works fine on my iPhone.
6. But when I try to use the iOS Simulator, I reach the step "Launching app..." and I can only obtain the recurrent following message: "The simulator seems to be taking a long time to launch the application. Do you wish to continue trying?". Whatever my reply "Yes" or "No", the "Standalone Builder Progress" window remains visible, LC does not react to any action and I have to quit LC from the Finder.
7. Before trying again, I have deleted my app which was loaded on the Simulator since the time I used LC 7.0.6, but I still get the same message, and I can't load my app any more.

Would anyone know what I have not done, or not done properly so that I can't use the Simulator ?
Thanks for any assistance !

quailcreek
Posts: 746
Joined: Sun Feb 04, 2007 11:01 pm
Location: McKenna, WA

Re: iOS Simulator - a mystery after upgrading to LC 7.1.1

Post by quailcreek » Wed Feb 17, 2016 8:16 pm

GoneToSail ,
LC 7.1.1 needs Xcode 7.1.1 The numbers just happen to be the same so don't get confused.

Here is a link that might help.
http://forums.livecode.com/phpBB2/viewt ... 49&t=26264

Here's a link to get Xcode:
https://developer.apple.com/downloads/

Here is a link to download LC. Have a look at the release note.
http://downloads.livecode.com/livecode/
Tom
MacBook Pro OS Mojave 10.14

GoneToSail
Posts: 32
Joined: Sun Jan 24, 2010 10:34 pm

Re: iOS Simulator - a mystery after upgrading to LC 7.1.1

Post by GoneToSail » Thu Feb 18, 2016 6:07 pm

Thanks Tom !
My mistake, I should have read the release notes more carefully.
I'm now using LC 7.1.1, together with Xcode 7.1.1 and iOS Simulator 8.4 (SimulatorApp-565.9 CoreSimulator -117.15), and I could test my app in the simulator.
However I'm still confused about all these version numbers...
When testing my app on the iOS Simulator, it works only when the Hardware/Device option indicates iOS 9.1. When I specify a device running iOS 8.3 in the same Hardware/Device menu, my app does not load.
Even though I have chosen an iPhone 4S under iOS 8.3 in the Xcode device window. And I have also chosen "Build for" "iPod and iPhone" "8.3 or later" in LC Standalone Application Settings...
Any idea about what I missed ?

quailcreek
Posts: 746
Joined: Sun Feb 04, 2007 11:01 pm
Location: McKenna, WA

Re: iOS Simulator - a mystery after upgrading to LC 7.1.1

Post by quailcreek » Thu Feb 18, 2016 7:19 pm

I'm a bit confused as to what you are doing. You don't need to touch Xcode in order to run your app in the sim. From the preferences menu > mobile support, chose Xcode 7.1.1. From the Development menu > Test Target, choose iPhone Simulator 9.1
Even though I have chosen an iPhone 4S under iOS 8.3 in the Xcode device window.
Tom
MacBook Pro OS Mojave 10.14

GoneToSail
Posts: 32
Joined: Sun Jan 24, 2010 10:34 pm

Re: iOS Simulator - a mystery after upgrading to LC 7.1.1

Post by GoneToSail » Thu Feb 18, 2016 9:14 pm

Thank you Tom. I agree that I'm not always sure about what I'm doing...
I started doing exactly as you say, and it works fine.
But I noted in the Simulator menu, under Hardware/Device, that the iPhone is running under iOS 9.1. Now I would like to test if my app is also working on a device running previous iOS versions, and I tried to choose Hardware/Device/iOS 8.3 which seems to be available. The sim switches to a black screen for about one minute, but I only get the standard screen [ titled iPhone 4s - iPhone 4s/iOS 8.3 (12F70) ], and my app does not load.
Let me know if I am clear enough !

quailcreek
Posts: 746
Joined: Sun Feb 04, 2007 11:01 pm
Location: McKenna, WA

Re: iOS Simulator - a mystery after upgrading to LC 7.1.1

Post by quailcreek » Thu Feb 18, 2016 10:40 pm

To do that you will need multiple version of Xcode. I have 6.4, 7.1.1 and 7.2.1 loaded on my machine, each in a different folder in the applications folder. When you want to test with an earlier version of Xcode. you need to set mobile support to that version.
Tom
MacBook Pro OS Mojave 10.14

GoneToSail
Posts: 32
Joined: Sun Jan 24, 2010 10:34 pm

Re: iOS Simulator - a mystery after upgrading to LC 7.1.1

Post by GoneToSail » Fri Feb 19, 2016 11:13 am

Very clear. I will do the same !
Thank you so much for your assistance.

Jordy
Posts: 32
Joined: Sat Feb 27, 2016 3:59 am

Re: iOS Simulator - a mystery after upgrading to LC 7.1.1

Post by Jordy » Sat Feb 27, 2016 4:25 am

Thank you Tom. I agree that I'm not always sure about what I'm doing...
LOL Awesome answer
Im glad someone else feels how I do!
Best of luck

Post Reply

Return to “iOS Deployment”